## org.exist.client.xacml
Class ConditionNode

    java.lang.Object
      org.exist.client.xacml.AbstractTreeNode
          org.exist.client.xacml.ConditionNode

All Implemented Interfaces:
  XACMLTreeNode

public class ConditionNode
extends AbstractTreeNode

Constructor Summary
`ConditionNode(NodeContainer parent)`
`ConditionNode(NodeContainer parent, com.sun.xacml.cond.Apply condition)`

Method Summary
`void` `commit(boolean deep)` Commits the state of this element.
`com.sun.xacml.cond.Apply` `getCondition()`
`boolean` `isConditionModified()`
`boolean` `isModified(boolean deep)` Returns true if this element has been modified.
`void` `revert(boolean deep)` Reverts the state of this element to the last commit.
`java.lang.String` `serialize(boolean indent)` Serializes this node to a `String`
`void` `setCondition(com.sun.xacml.cond.Apply condition)`
`java.lang.String` `toString()`

Methods inherited from class org.exist.client.xacml.AbstractTreeNode
`getParent, setModified`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConditionNode

    public ConditionNode(NodeContainer parent)

### ConditionNode

    public ConditionNode(NodeContainer parent,
                         com.sun.xacml.cond.Apply condition)

Method Detail

### getCondition

    public com.sun.xacml.cond.Apply getCondition()

### setCondition

    public void setCondition(com.sun.xacml.cond.Apply condition)

### isModified

    public boolean isModified(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Returns true if this element has been modified. If deep is true, then this takes into account the status of any descendants.

  Specified by:
    `isModified` in interface `XACMLTreeNode`
  Overrides:
    `isModified` in class `AbstractTreeNode`

### isConditionModified

    public boolean isConditionModified()

### revert

    public void revert(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Reverts the state of this element to the last commit. If deep is true, then this includes any descendants.

  Specified by:
    `revert` in interface `XACMLTreeNode`
  Overrides:
    `revert` in class `AbstractTreeNode`

### commit

    public void commit(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Commits the state of this element. This state will be the state reverted to when revert is called. If deep is true, then this includes any descendants.

  Specified by:
    `commit` in interface `XACMLTreeNode`
  Overrides:
    `commit` in class `AbstractTreeNode`

### serialize

    public java.lang.String serialize(boolean indent)

  Description copied from interface: `XACMLTreeNode`
  Serializes this node to a `String`

  Parameters:
    `indent` - Whether or not the XML should be indented
  Returns:
    The string representation of this node

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.